コンテンツへスキップ

Cosmos Predict 2.5 2B Distilled

統合

モデルID cosmos-predict-2.5/distilled/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cosmos-predict-2.5/distilled/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.08 80 APIクレジット · ≈ ₽8.59 このページで実行

APIキーを取得
NVIDIA テキストから動画 高速

少ないノイズ除去ステップ(最大20)で動作する蒸留版2B Cosmosのテキストから動画生成

NVIDIA · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

希望する動画のテキスト説明。

詳細設定 negative_prompt · video_output_type · video_quality · num_frames · num_inference_steps · seed · enable_safety_checker
デフォルト The video captures a ...

望ましくない内容を指定し、生成から除外するネガティブプロンプト。

video_output_type デフォルト X264 (.mp4)

生成される動画の形式。

video_quality デフォルト high

生成される動画の品質設定。

デフォルト 93

生成するフレーム数。9~93の範囲です。

デフォルト 10

デノイズステップ数。蒸留モデルは少ないステップ数でも良好に動作します。

生成を再現可能にするランダムシード。

POST /run/cosmos-predict-2.5/distilled/text-to-video?wait=20 見積もり → $0.08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cosmos-predict-2.5/distilled/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Cosmos Predict 2.5 2B Distilledについて

蒸留版Cosmos Predict 2.5 2Bモデルを使用し、テキスト`prompt`から動画を生成します。デフォルトは10ステップで、最大20です。`num_frames`は9〜93です。出力はX264 mp4、VP9 webm、ProRes 4444 mov、GIFに対応し、`video_quality`はlow〜maximumです。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
希望する動画のテキスト説明。
negative_prompt任意
型string
デフォルトThe video captures a series of frames showing ugly scenes, static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, artifacting, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, visual noise, and flickering. Overall, the video is of poor quality.
望ましくない内容を指定し、生成から除外するネガティブプロンプト。
num_frames任意
型integer
デフォルト93
9 – 93
生成するフレーム数。9~93の範囲です。
num_inference_steps任意
型integer
デフォルト10
1 – 20
デノイズステップ数。蒸留モデルは少ないステップ数でも良好に動作します。
seed任意
型integer | null
生成を再現可能にするランダムシード。
video_output_type任意
型enum
デフォルトX264 (.mp4)
X264 (.mp4)VP9 (.webm)PRORES4444 (.mov)GIF (.gif)
生成される動画の形式。
video_quality任意
型enum
デフォルトhigh
lowmediumhighmaximum
生成される動画の品質設定。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cosmos-predict-2.5/distilled/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}生成された動画ファイル。
seed
integer生成中のランダム性を制御したシード。

その他のモデル: テキストから動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/cosmos-predict-2.5/distilled/text-to-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt